#!/bin/sh

cd benchmarks

Rscript --vanilla link.gs20k.R
Rscript --vanilla link.hiton20k.R
Rscript --vanilla link.iamb20k.R
Rscript --vanilla link.mmpc20k.R
Rscript --vanilla link.opt.R
Rscript --vanilla munin.gs20k.R
Rscript --vanilla munin.hiton20k.R
Rscript --vanilla munin.iamb20k.R
Rscript --vanilla munin.mmpc20k.R
Rscript --vanilla munin.opt.R
Rscript --vanilla carcinoma.hiton.R
Rscript --vanilla mice.hiton.R

cd -
cd symmetry

for algorithm in gs inter.iamb mmpc si.hiton.pc
do
  for p in 0.1 0.2 0.5 1.0 2.0 5.0
  do
    Rscript --vanilla symmetry.R $algorithm $p
  done
done

